# norootforbuild

Name:		topal
Version:	76
Release:	1699.4.pm.77

Summary:	A tool to encrypt, decrypt, sign and verify emails
License: GPL-2.0
Group:		Productivity/Networking/Security
URL:		https://zircon.org.uk/topal/

Source0:	%{name}-package-%{version}.tgz
Patch0: 	topal.patch

BuildRequires:	gcc-ada readline-devel

%description
Topal is a "glue" program that links GnuPG and Pine/Alpine.
It offers facilities to encrypt, decrypt, sign and verify emails.


%prep
%autosetup -p1

%build
export SUSE_ASNEEDED=0
make \
	versionid.tex \
	BUILDDATE="`date -u -d '1970-01-01' '+%%Y-%%m-%%dT%%H%%M%%S%%Z'`"
ls -l --time-style=full-iso -t *.pdf *.tex || :
test -f topal.pdf && touch topal.pdf
make \
	binary \
	'DEBCFLAGS=%optflags -no-pie' \
	'DEBLDFLAGS=%optflags -no-pie' \
	BUILDDATE="`date -u -d '1970-01-01' '+%%Y-%%m-%%dT%%H%%M%%S%%Z'`"


%install
%makeinstall \
	INSTALLPATH=%{buildroot}/%{_prefix} \
	INSTALLPATHDOC=%{buildroot}/%{_docdir}/%{name} \
	BUILDDATE="`date -u -d '1970-01-01' '+%%Y-%%m-%%dT%%H%%M%%S%%Z'`"

%files
%{_bindir}/mime-tool
%{_bindir}/topal
%{_docdir}/topal
%{_mandir}/man1/mime-tool.1.gz
%{_mandir}/man1/topal.1.gz
%{_datadir}/topal

%changelog
